Skip to main content
`Ctrl`+`K`

# SNESNewtonTRFallbackType

type of fallback in case the solution of the trust-region subproblem is outside of the radius

## Synopsis

    typedef enum {
      SNES_TR_FALLBACK_NEWTON,
      SNES_TR_FALLBACK_CAUCHY,
      SNES_TR_FALLBACK_DOGLEG,
    } SNESNewtonTRFallbackType;

## Values

- `SNES_TR_FALLBACK_NEWTON` - use scaled Newton step

- `SNES_TR_FALLBACK_CAUCHY` - use Cauchy direction

- `SNES_TR_FALLBACK_DOGLEG` - use dogleg method

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONTR`, `SNESNEWTONTRDC`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages